Mantis Bugtracker
  

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003013 [Resin] major always 10-21-08 08:53 01-05-09 23:14
Reporter nam View Status public  
Assigned To
Priority normal Resolution fixed  
Status closed   Product Version 3.2.1
Summary 0003013: no resin-status and no /tmp/localhost_6800
Description (rep by C. Whalley)

see http://bugs.caucho.com/view.php?id=2979 [^]

I reported this also with 3.2.0. 3.1.6 is fine. I will give all the details here.
To manage my resin upgrades I have a symlink /resin. Live, this points to /usr/share/resin-pro-3.1.6. In there is a build.sh:

../configure --with-apache=/usr/lib/httpd --enable-ssl
make
make install

So to deploy, I stop httpd (apache), run this build, start apache then start resin. When 3.2.1 came out today I copied this build.sh over, updated the /resin symlink to point to the new /usr/share/resin-pro-3.2.1 and repeated this process. The resulting modules/mod_caucho.so in the httpd folder had the current timestamp. I deleted /tmp/localhost_6800.

When I run resin, with 1 host/web-app, this is the log:

[root@master bin]# sh resin.sh
Resin-3.2.1 (built Fri, 17 Oct 2008 04:11:01 PDT)
Copyright(c) 1998-2008 Caucho Technology. All rights reserved.

 ....license -- 1 Resin server ...

Starting Resin Professional on Tue, 21 Oct 2008 11:55:46 +0100 (BST)

21-Oct-2008 11:55:48 RESIN 3.2.1 Proxy Cache disk-size=1024M memory-size=64M
21-Oct-2008 11:55:48 RESIN 3.2.1
21-Oct-2008 11:55:48 RESIN 3.2.1 Linux 2.6.17-1.2142_FC4smp i386
21-Oct-2008 11:55:48 RESIN 3.2.1 Java(TM) SE Runtime Environment 1.6.0_07-b06, ISO-8859-1, en
21-Oct-2008 11:55:48 RESIN 3.2.1 Java HotSpot(TM) Client VM 10.0-b23, 32, mixed mode, sharing, Sun Microsystems Inc.
21-Oct-2008 11:55:48 RESIN 3.2.1
21-Oct-2008 11:55:48 RESIN 3.2.1 resin.home = /resin/
21-Oct-2008 11:55:48 RESIN 3.2.1 resin.root = /resin/
21-Oct-2008 11:55:48 RESIN 3.2.1 resin.conf = /resin/conf/resin.xml
21-Oct-2008 11:55:48 RESIN 3.2.1
21-Oct-2008 11:55:48 RESIN 3.2.1 server = 127.0.0.1:6800 (app-tier:)
21-Oct-2008 11:55:48 RESIN 3.2.1 user.name = root
21-Oct-2008 11:55:48 RESIN 3.2.1
21-Oct-2008 11:55:48 RESIN 3.2.1 ClusterStoreManager[,0] active
21-Oct-2008 11:55:48 RESIN 3.2.1 PingThread[] starting, checking []
21-Oct-2008 11:55:48 RESIN 3.2.1 WebApp[http://default/resin-admin] [^] active
21-Oct-2008 11:55:48 RESIN 3.2.1 WebApp[http://default] [^] active
21-Oct-2008 11:55:48 RESIN 3.2.1 Host[default] active
21-Oct-2008 11:55:49 RESIN 3.2.1 WebApp[http://wiki.otamate.com] [^] active
21-Oct-2008 11:55:49 RESIN 3.2.1 Host[...] active
21-Oct-2008 11:55:49 RESIN 3.2.1
21-Oct-2008 11:55:49 RESIN 3.2.1 hmux listening to localhost.localdomain:6800
21-Oct-2008 11:55:49 RESIN 3.2.1 http listening to *:8080
21-Oct-2008 11:55:49 RESIN 3.2.1
21-Oct-2008 11:55:49 RESIN 3.2.1 ProServer[id=,cluster=app-tier] active
21-Oct-2008 11:55:49 RESIN 3.2.1 ProResin[id=] started in 2668ms

All attempts to communicate through the browser result in 404's and as the attached screenshot shows mod_caucho is unaware of the webapp. No localhost_6800 file is created in /tmp.

When I repeat the process, after updating the /resin symlink back to the 3.1.6 installation, the app works fine, the resin-status pages shows it is present and the /tmp/localhost_6800 file appears.

As I mentioned the last time I reported this, 3.1.7a is *also* broken the same way. The last usable resin for me was 3.1.6.
Additional Information
Attached Files

- Relationships

- Notes
(0003518)
nam
10-21-08 13:25

apache 2.0.54
 
(0003522)
cwhalley
10-01-08 10:23

[root@master ~]# httpd -l
Compiled in modules:
  core.c
  prefork.c
  http_core.c
  mod_so.c
[root@master ~]# uname -r
2.6.17-1.2142_FC4smp
[root@master ~]# httpd -version
Server version: Apache/2.0.54
Server built: Jul 26 2006 11:00:19
[root@master ~]#
 
(0003613)
jda
12-12-08 13:50

Just to confirm that this is not an isolated issue, I have experienced the same problem using version 3.1.8, Apache/2.2.3, under Red Hat Enterprise Linux Server release 5.2. As suggested, I backed off to 3.1.6 and it works fine.
 
(0003614)
cwhalley
12-12-08 14:05

I can update on how I progressed this further.
After quite a few private emails we reached stalemate with no Caucho staff able to reproduce it, so I made a VMWare VM using Fedora 7 and the software configuration described, which exhibited the fault. Emil has this and I'm hoping for some feedback as soon as possible.
 
(0003673)
ferg
12-23-08 15:36

Emil has tracked this down to the compile flags on mod_caucho, specifically to the LARGEFILE flags. I still don't know why those flags would cause this behavior.
 
(0003682)
emil
12-01-08 11:42

This may be a configure script/Makefile problem. One possible workaround that has worked for me (although not yet for cwhalley) is to delete the following CFLAGS from all Makefiles:

-D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64

This problem seems to appear on 32-bit Linux systems running on 64-bit hardware.
 
(0003697)
emil
01-05-09 23:13

Starting in Resin 3.1.7, LFS support was enabled by default. Older versions of Apache do not have LFS support and are not 64-bit clean when LFS CFLAGS are given. The fix to the configure script in 4.0.0 makes sure only the CFLAGS given by apache are used, but allows LFS to be enabled explicitly.
 
(0003698)
emil
01-05-09 23:14

Starting in Resin 3.1.7, LFS support was enabled by default. Older versions of Apache do not have LFS support and are not 64-bit clean when LFS CFLAGS are given. The fix to the configure script in 4.0.0 makes sure only the CFLAGS given by apache are used, but allows LFS to be enabled explicitly.
 

- Issue History
Date Modified Username Field Change
10-21-08 08:53 nam New Issue
10-21-08 13:25 nam Note Added: 0003518
10-01-08 10:05 emil Severity minor => major
10-01-08 10:22 cwhalley Issue Monitored: cwhalley
10-01-08 10:23 cwhalley Note Added: 0003522
11-03-08 00:16 smallufo Issue Monitored: smallufo
12-08-08 09:37 anordby Issue Monitored: anordby
12-12-08 13:50 jda Note Added: 0003613
12-12-08 13:51 jda Issue Monitored: jda
12-12-08 14:05 cwhalley Note Added: 0003614
12-23-08 15:36 ferg Note Added: 0003673
12-01-08 11:42 emil Note Added: 0003682
12-01-08 11:42 emil Note Added: 0003683
12-01-08 11:42 emil Note Deleted: 0003683
01-05-09 23:13 emil Status new => closed
01-05-09 23:13 emil Note Added: 0003697
01-05-09 23:13 emil Resolution open => fixed
01-05-09 23:13 emil Fixed in Version  => 4.0.0
01-05-09 23:14 emil Note Added: 0003698
01-08-09 11:59 david_kp Issue Monitored: david_kp
03-17-09 13:05 dodyryda Issue Monitored: dodyryda


Mantis 1.0.0rc3[^]
Copyright © 2000 - 2005 Mantis Group
58 total queries executed.
40 unique queries executed.
Powered by Mantis Bugtracker